Skip to content
Start here

Get application

client.zeroTrust.resourceLibrary.applications.get(numberid, ApplicationGetParams { account_id } params, RequestOptionsoptions?): ApplicationGetResponse { id, application_confidence_score, application_source, 15 more }
GET/accounts/{account_id}/resource-library/applications/{id}

Get application by ID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
id: number

Returns the application ID.

formatint64
maximum4294967295
minimum0
params: ApplicationGetParams { account_id }
account_id: string

Account ID.

ReturnsExpand Collapse
ApplicationGetResponse { id, application_confidence_score, application_source, 15 more }
id: number

Returns the application ID.

formatint64
maximum4294967295
minimum0
application_confidence_score: number

Confidence score for the application. Returns -1 when no score is available.

formatfloat
application_source: string

Returns the application source.

application_type: string

Returns the application type.

application_type_description: string

Returns the application type description.

category_id: number

Returns the category ID.

formatint64
maximum4294967295
minimum1
created_at: string

Returns the application creation time.

gen_ai_score: number

GenAI score for the application. Returns -1 when no score is available.

formatfloat
hostnames: Array<string>

Hostnames matched by the application.

human_id: string

Returns the human readable ID.

ip_subnets: Array<string>

IP subnets matched by the application.

name: string

Returns the application name.

port_protocols: Array<string>

Port and protocol pairs matched by the application.

support_domains: Array<string>

Support domains matched by the application.

supported: Array<"GATEWAY" | "ACCESS" | "CASB">

Cloudflare products that support this application.

One of the following:
"GATEWAY"
"ACCESS"
"CASB"
updated_at: string

Returns the application update time.

version: string

Returns the application version.

application_score_composition?: unknown

Returns the score composition breakdown for the application.

Get application

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const application = await client.zeroTrust.resourceLibrary.applications.get(498, {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(application.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 498,
    "application_confidence_score": 0.92,
    "application_source": "cloudflare",
    "application_type": "Human Resources",
    "application_type_description": "Applications used to manage employees and workforce tools.",
    "category_id": 12,
    "created_at": "2025-01-01T00:00:00Z",
    "gen_ai_score": 1.5,
    "hostnames": [
      "example.com",
      "foo.com"
    ],
    "human_id": "HR",
    "ip_subnets": [
      "192.168.1.0/24",
      "10.0.0.0/8"
    ],
    "name": "HR",
    "port_protocols": [
      "tcp/80",
      "tcp/443"
    ],
    "support_domains": [
      "example.com",
      "foo.com"
    ],
    "supported": [
      "GATEWAY",
      "ACCESS"
    ],
    "updated_at": "2025-01-01T00:00:00Z",
    "version": "2025-01-01T00:00:00Z",
    "application_score_composition": {
      "categories": [
        {
          "confidence": 0.95,
          "name": "Security"
        }
      ],
      "plan": "free"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 498,
    "application_confidence_score": 0.92,
    "application_source": "cloudflare",
    "application_type": "Human Resources",
    "application_type_description": "Applications used to manage employees and workforce tools.",
    "category_id": 12,
    "created_at": "2025-01-01T00:00:00Z",
    "gen_ai_score": 1.5,
    "hostnames": [
      "example.com",
      "foo.com"
    ],
    "human_id": "HR",
    "ip_subnets": [
      "192.168.1.0/24",
      "10.0.0.0/8"
    ],
    "name": "HR",
    "port_protocols": [
      "tcp/80",
      "tcp/443"
    ],
    "support_domains": [
      "example.com",
      "foo.com"
    ],
    "supported": [
      "GATEWAY",
      "ACCESS"
    ],
    "updated_at": "2025-01-01T00:00:00Z",
    "version": "2025-01-01T00:00:00Z",
    "application_score_composition": {
      "categories": [
        {
          "confidence": 0.95,
          "name": "Security"
        }
      ],
      "plan": "free"
    }
  }
}